<template>
  <div class="flex flex-col items-center justify-center">
    <div
      class="
        loader
        rounded-full
        border-4 border-t-4 border-gray-200
        h-12
        w-12
        mb-2
      "
    ></div>
    <h2 class="text-center text-lg font-semibold">Loading...</h2>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { Component } from "vue-property-decorator";

@Component({})
export default class Loader extends Vue {}
</script>

<style scoped>
.loader {
  border-top-color: rgba(59, 130, 246);
  animation: spinner 1.5s linear infinite;
}

@keyframes spinner {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
</style>
